---
layout: "post"
title: "Super Mario RPG: Legend of the Seven Stars"
subtitle: "Embark on an Epic Journey in \"Super Mario RPG: Legend of the Seven Stars\" as Mario and Friends Battle Smithy to Save the Mushroom Kingdom!"
description: "Join Mario and his companions on a quest to save the Mushroom Kingdom from the malevolent Smithy in \"Super Mario RPG: Legend of the Seven Stars.\" Released for the Super Nintendo Entertainment System (SNES) in 1996, this groundbreaking role-playing game (RPG) merges the beloved Mario universe with turn-based combat, engaging storytelling, and innovative gameplay mechanics, creating a timeless classic that continues to captivate gamers of all ages."
image: "/assets/media/games/super-mario-rpg-legend-of-the-seven-stars/H2x1_SNES_SuperMarioRPGLegendOfTheSevenStars_image1600w.jpg"
image_source: "internal"
category: "games"
tags:
  - "snes"
  - "nintendo"
  - "square"
  - "rpg"
  - "isometric"
  - "detailed"
author: "octobot"
redirect_from:
  - /2023/12/11/super-mario-rpg-legend-of-the-seven-stars-Copy/
mobygames_id: "6692"
software_data:
  platform   : "snes"
  rom_index  : "d0b68d68d9efc0558242f5476d1c5b81.sfc"
  release    :
    region   : "USA"
    source   : "official"
    type     : "retail"
---

## About the game

*Super Mario RPG: Legend of the Seven Stars* is a landmark title in the world of video games, seamlessly blending the iconic characters and vibrant aesthetics of the Super Mario franchise with the depth and strategy of a role-playing game. Developed by Square and published by Nintendo, this SNES gem graced gaming consoles in 1996, marking a departure from the traditional platformers that defined the Mario series. Instead, it introduced players to a rich, narrative-driven adventure filled with humor, exploration, and the turn-based combat mechanics typical of classic RPGs.

Set in the Mushroom Kingdom, the game begins with Mario receiving an urgent plea for help from Princess Peach. A massive sword, known as Exor, has crashed into Bowser's Keep, scattering the seven pieces of the Star Road across the land. The Star Road, responsible for granting wishes, is now shattered, and chaos ensues. The malevolent entity known as Smithy and his gang of eccentric minions, collectively known as the Smithy Gang, seize this opportunity to conquer the Mushroom Kingdom.

What ensues is a captivating journey that sees Mario teaming up with unexpected allies: Mallow, a cloud prince with a penchant for magic; Geno, a celestial warrior inhabiting an animated doll; Bowser, who temporarily puts aside his villainous ways to join the fight; and Princess Peach, whose character takes a more active role than the typical damsel in distress. Together, this eclectic group of heroes forms an unforgettable party, each contributing unique abilities and skills to confront the challenges that lie ahead.

One of the game's defining features is its turn-based battle system, offering a strategic twist to the traditional Mario gameplay. Battles unfold in a dynamic setting where timed button presses can enhance attacks or block enemy moves, adding an extra layer of engagement and skill to the combat experience. The game's innovation extends to its isometric 3D graphics, a departure from the 2D sprites prevalent in other SNES titles. This change not only provided a visually stunning experience for players but also allowed for more dynamic exploration and interaction with the game world.

Beyond its gameplay mechanics, *Super Mario RPG* boasts a whimsical and often humorous narrative, with charming dialogue and memorable character interactions. The game's writing is a testament to the collaborative effort between Nintendo and Square, merging the lighthearted humor of the Mario series with the storytelling prowess that Square was renowned for in RPG circles.

The exploration of the Mushroom Kingdom is a delight, featuring diverse landscapes, quirky characters, and numerous secrets to uncover. Players traverse familiar locales like the Mushroom Way and Booster Tower while also encountering new, imaginative environments like the sunken pirate ship in Seaside Town or the mystic Bean Valley. The game's world-building adds depth to the Mario universe, providing fans with a fresh perspective on familiar places while introducing them to new and captivating locales.

Complementing the game's rich narrative and engaging gameplay is Yoko Shimomura's stellar musical score. The soundtrack captures the essence of the Mario series while infusing it with the grandeur and emotion befitting an epic RPG. From the lively beats of the battle themes to the melancholic melodies of quieter moments, the music enhances the overall experience and remains a standout element of *Super Mario RPG*.

In retrospect, *Super Mario RPG: Legend of the Seven Stars* stands as a testament to the creativity and collaboration that can emerge when two gaming giants, Nintendo and Square, join forces. Its enduring legacy is evident in the fond memories of players who experienced the game during its initial release and the new generations discovering its magic through digital platforms. As Mario and his friends triumph over Smithy, restoring peace to the Mushroom Kingdom, *Super Mario RPG* cements its place in gaming history as a cherished classic that seamlessly blended the whimsy of the Mario universe with the depth of a role-playing epic.

## Resources

* Official page of the game; Cover image credits: <https://www.nintendo.co.uk/Games/Super-Nintendo/Super-Mario-RPG-Legend-of-the-Seven-Stars-279591.html>

