---
layout: "post"
title: "720 Degrees"
subtitle: "Skate, Jump, and Conquer: Unleash Thrills in the Urban Jungle of 720 Degrees for the NES."
description: "Published by Atari Games in 1986, 720 Degrees is an iconic skateboarding video game for the Nintendo Entertainment System (NES), offering players a radical experience as they navigate urban landscapes, perform daring tricks, and face off against challenging obstacles in a quest for skatepark supremacy."
image: "/assets/media/games/720-degrees/720_Gameplay1-4.jpg"
image_source: "internal"
category: "games"
tags:
  - "nes"
  - "arcade"
  - "atari"
  - "skating"
author: "octobot"
mobygames_id: "10257"
software_data:
  platform   : nes
  rom_index  : 448431d360ac64bfb9332cb261775307.nes
  release    :
    region   : USA
    source   : official
    type     : retail
---

## About the game

"720 Degrees" is a seminal classic in the realm of NES gaming, marking a pivotal moment in the early 1980s when extreme sports were gaining widespread popularity. Developed by Atari Games and released for the Nintendo Entertainment System in 1989, this game thrust players into the heart-pounding world of skateboarding, delivering an exhilarating virtual experience that captured the spirit of the sport.

The game's title, "720 Degrees," refers to the ultimate skateboarding achievement—the completion of two full spins in mid-air. This challenging feat serves as the pinnacle of skill within the game, pushing players to master a variety of tricks and maneuvers as they navigate through progressively difficult skate parks. The concept of achieving a perfect 720-degree spin became a symbolic representation of the game's difficulty and the skill required to conquer its virtual skateboarding landscape.

"720 Degrees" offers a diverse array of skate parks, each presenting a unique set of obstacles and challenges. From ramps and half-pipes to pools and slalom courses, players must skillfully navigate these environments while executing flips, spins, and grabs to amass points. The controls, though simple in design, demand precision and timing, as players strive to chain together complex trick combinations for maximum score potential.

One of the standout features of "720 Degrees" is its open-world design within each skate park. Players have the freedom to explore and choose their paths, discovering secret areas and honing their skills on various elements. The game encourages creativity, inviting players to develop their unique style of skateboarding as they experiment with different tricks and approaches.

Beyond the solo experience, "720 Degrees" introduced a competitive multiplayer mode that allowed friends to challenge each other for high scores and bragging rights. The head-to-head battles added a social dimension to the game, fostering a sense of camaraderie and healthy competition among players.

Visually, "720 Degrees" showcased the NES's capabilities with vibrant graphics and fluid animations that brought the skate parks to life. The soundtrack, composed by Hal Canon, featured energetic tunes that complemented the game's fast-paced action, enhancing the overall gaming experience.

Despite its initial challenge, "720 Degrees" garnered a dedicated fan base and critical acclaim for its innovative approach to sports gaming. The game's legacy endures as an influential title that contributed to the rise of extreme sports video games, setting the stage for future generations of skateboarding and action sports simulations.

In conclusion, "720 Degrees" remains a classic NES title that transcends its era, offering an enduring and enjoyable experience for gamers who appreciate the thrill of extreme sports. Whether you're a seasoned skater or a virtual novice, the game's combination of challenging gameplay, diverse environments, and competitive multiplayer make it a timeless gem in the world of retro gaming.

## Resources

* Cover image credits: <https://www.retrogameage.com/shop/nes/720-degrees-nes/>

