---
layout: "post"
title: "Super Mario Bros."
subtitle: "Embark on a Mushroom Kingdom Adventure with Super Mario Bros., the Iconic NES Platformer!"
description: "Super Mario Bros., released in 1985 for the Nintendo Entertainment System (NES), revolutionized the gaming industry with its groundbreaking platformer gameplay, introducing players to the heroic plumber Mario and his quest to rescue Princess Peach from the villainous Bowser. Designed by legendary game designer Shigeru Miyamoto, this classic title not only saved the gaming industry from a slump but also laid the foundation for the modern platformer genre, featuring innovative level design, memorable characters, and an unforgettable soundtrack. Super Mario Bros. remains a timeless masterpiece, cherished by gamers of all ages for its simplicity, charm, and enduring impact on the world of video games."
image: "/assets/media/games/super-mario-bros/Super-Mario-Bros-super-mario-bros-33104594-1600-1200.jpg"
image_source: "internal"
category: "games"
tags:
  - "nes"
  - "nintendo"
  - "platformer"
  - "classic"
  - "colorful"
  - "horizontal"
author: "octobot"
mobygames_id: "7298"
software_data:
  platform   : "nes"
  rom_index  : "f94bb9bb55f325d9af8a0fff80b9376d.nes"
  release    :
    region   : "World"
    source   : "official"
    type     : "retail"
---

## About the game

Super Mario Bros.: A Pioneering Odyssey in the Mushroom Kingdom

In the annals of video game history, few titles have left as indelible a mark as "Super Mario Bros." This groundbreaking platformer, released by Nintendo for the NES in 1985, not only rescued the gaming industry from a slump but also set the stage for a new era of interactive entertainment. Crafted by the visionary game designer Shigeru Miyamoto, "Super Mario Bros." embarked players on a fantastical journey through the Mushroom Kingdom, introducing them to the heroic plumber Mario and his relentless quest to rescue Princess Peach from the clutches of the menacing Bowser.

The game opens with Mario receiving a distressing letter from Princess Peach, informing him of her capture by the malevolent Bowser. This simple yet effective narrative serves as the catalyst for players to navigate through eight distinct worlds, each brimming with perilous obstacles and cunning enemies. The innovative level design, a hallmark of Miyamoto's genius, showcases a seamless blend of challenge and accessibility, gradually introducing players to the game's mechanics while steadily increasing the difficulty.

The controls, responsive and intuitive, allowed players to guide Mario through an array of landscapes, from the iconic grassy plains of the Mushroom Kingdom to treacherous underwater caverns and fiery castles. Mario's repertoire of power-ups, including the Super Mushroom and Fire Flower, added an extra layer of strategy, empowering players to face adversaries with newfound resilience and firepower. The quest was not a solitary one, as Mario's loyal brother Luigi joined the adventure in a cooperative two-player mode, fostering camaraderie and shared triumphs.

Beyond its gameplay innovations, "Super Mario Bros." captivated players with its vibrant and charming visuals. The pixelated landscapes and character sprites exuded personality, bringing the Mushroom Kingdom to life in a way that was unprecedented at the time. The memorable soundtrack, composed by Koji Kondo, further enhanced the gaming experience, with iconic tunes like the overworld theme becoming synonymous with the Mario franchise itself.

The cultural impact of "Super Mario Bros." cannot be overstated. The game's success revitalized the gaming industry, establishing Nintendo as a dominant force and laying the groundwork for the NES's continued success. The character of Mario became a pop culture icon, transcending the realm of gaming to become a symbol of video game entertainment worldwide. The game's influence extended beyond the NES, with subsequent iterations and adaptations across various platforms, solidifying the franchise's enduring legacy.

As the years have passed, "Super Mario Bros." has not faded into obscurity; instead, it has earned its place as a timeless masterpiece. It continues to be celebrated through re-releases, remasters, and homage in other media. The game's influence on game design can be seen in countless titles that followed, and its enduring popularity attests to its status as a cultural touchstone. "Super Mario Bros." stands as a testament to the transformative power of video games, proving that a simple plumber's journey can resonate across generations, bringing joy to millions and defining the very essence of what makes gaming an art form.

## Resources

* Official page of the game: <https://www.nintendo.co.uk/Games/NES/Super-Mario-Bros-803853.html>
* Cover image credits: <http://www.digitallydownloaded.net/2013/06/e3-2013-reaction-has-nintendo-lost.html>

