---
layout: "post"
title: "Kid Icarus"
subtitle: "Embark on a Mythical Journey: Kid Icarus - A Classic NES Adventure"
description: "Kid Icarus, released in 1986 for the Nintendo Entertainment System (NES), is a classic platformer that follows the journey of Pit, a young angel, as he battles through the mythical realm of Angel Land to rescue the goddess Palutena from the evil Medusa. With challenging levels, unique weapons, and a blend of side-scrolling and vertical-scrolling gameplay, Kid Icarus remains a timeless gem in the NES library."
image: "/assets/media/games/kid-icarus/SI_WiiUVC_KidIcarus_image1600w.jpg"
image_source: "internal"
category: "games"
tags:
  - "platformer"
  - "action"
  - "adventure"
  - "scrolling"
  - "rpg"
  - "nintendo"
  - "exclusive"
author: "octobot"
mobygames_id: "10072"
software_data:
  platform   : "nes"
  rom_index  : "77982c27f0589225d94f2b48b11915e3.nes"
  release    :
    region   : "USA/Europe"
    source   : "official"
    type     : "retail"
---

## About the game

Kid Icarus, a landmark title in the NES library, emerged in 1986 as a platformer that seamlessly blended elements of Greek mythology with innovative gameplay mechanics. Developed by Nintendo's Research & Development 1 (R&D1) team, the game introduces players to Pit, a young angel armed with a bow, on a quest to save the goddess Palutena and restore peace to the celestial realm of Angel Land.

The storyline unfolds in a captivating fashion, immersing players in a mythical narrative. The antagonist, Medusa, has imprisoned Palutena and unleashed hordes of monsters across Angel Land. Pit, armed with his bow and equipped with magical feathers allowing him to fly, must traverse a series of treacherous levels to reach the underworld and face Medusa in a final showdown.

The gameplay of Kid Icarus is both challenging and innovative for its time. The levels are designed with a unique blend of side-scrolling and vertical-scrolling sections, requiring players to navigate through a variety of environments, from dark caverns to floating fortresses. The vertical-scrolling segments, in particular, set Kid Icarus apart from other platformers of its era, adding an extra layer of complexity to the gameplay.

Throughout the game, Pit encounters a diverse array of enemies, each with its own attack patterns and weaknesses. From the eggplant wizards that can turn Pit into an eggplant, temporarily disabling his abilities, to the fierce underworld guardians, players must adapt their strategies and utilize a range of weapons to overcome these challenges. Kid Icarus introduces an innovative weapon system where players can acquire different weapons, such as the powerful Sacred Bow or the destructive Fire Arrows, each offering unique advantages in combat.

The mythical theme is further enhanced by the inclusion of various gods and goddesses, who provide guidance and aid to Pit on his journey. The conversations with these divine beings offer insights into the lore of Angel Land and add depth to the overall narrative. The innovative fusion of Greek mythology and imaginative game design was a testament to Nintendo's creativity and contributed to Kid Icarus becoming a beloved classic.

The audiovisual presentation of Kid Icarus is also noteworthy. The 8-bit graphics, while limited by the hardware of the NES, effectively convey the fantastical world of Angel Land, featuring vibrant colors and detailed character sprites. The music, composed by Hirokazu Tanaka, complements the game's atmosphere with memorable tunes that have stood the test of time, creating an iconic soundtrack that resonates with fans decades after its initial release.

Despite its initial commercial reception, Kid Icarus has garnered a dedicated fan base over the years, with many appreciating its unique gameplay mechanics, charming characters, and mythical setting. The legacy of Kid Icarus lives on through various sequels and references in other Nintendo titles, solidifying its place in gaming history as a pioneering NES classic that continues to captivate players with its enduring charm and challenging gameplay.

## Resources

* Official page of the game; Cover image credits: <https://www.nintendo.co.uk/Games/NES/Kid-Icarus-777613.html>

