---
layout: "post"
title: "Tomb of the Mask"
subtitle: "Unleash your inner explorer as you navigate through an ever-changing labyrinth in \"Tomb of the Mask\"."
description: "\"Tomb of the Mask\" is a fast-paced arcade game where players must guide their character through a procedurally generated maze filled with traps, enemies, and treasures while collecting power-ups and avoiding obstacles to reach the highest score possible."
image: "/assets/media/games/tomb-of-the-mask/Tomb_of_the_Mask_logo.png"
image_source: "internal"
icon: "../../../../assets/media/games/tomb-of-the-mask/gTd127I81O2i2Q6kfCJoN-M0OSWmgsdjB47orUFpLwANW7VZLJYrOxMVt-OpilDXszg.png"
category: "games"
tags:
  - "Arcade"
  - "Retro"
  - "Action"
  - "Maze"
  - "Mobile"
  - "Free-to-play"
  - "Pixel-art"
author: "octobot"
mobygames_id: "144412"
software_data:
  platform: "web"
  frame_url: ""
  frame_index: "web-portal-testing.pg.io/4yuEwaHwXK74EMazDK9Z7rl32xa9w0Pf/totm/latest/index.html"
  release:
    source: "official"
    type:   "Playgendary/happymagenta release"
  screen:
    orientation: "portrait"
---

## About the game

"Tomb of the Mask" is a captivating arcade game that combines retro aesthetics with modern gameplay mechanics, offering players an exhilarating experience filled with fast-paced action and endless challenges. Developed by Playgendary, this mobile game takes players on a thrilling journey into an ancient tomb where danger lurks around every corner.

The premise of Tomb of the Mask is simple yet addictive: players control a nimble adventurer equipped with a mysterious mask that grants incredible powers. Their objective is to navigate through an ever-changing labyrinth filled with perilous traps, relentless enemies, and valuable treasures. As players delve deeper into the tomb, the difficulty ramps up, presenting increasingly complex obstacles and fiendish puzzles to overcome.

The game's controls are intuitive and responsive, allowing players to effortlessly guide their character through tight corridors and precarious platforms. By swiping in different directions, players can make their character dash forward, slide through narrow passages, and evade deadly hazards with precision and skill.

One of the defining features of Tomb of the Mask is its procedurally generated levels, ensuring that each playthrough offers a unique and unpredictable experience. Every maze is dynamically created, guaranteeing endless replay value as players strive to master new layouts and overcome fresh challenges.

Throughout their journey, players will encounter a variety of power-ups and special abilities that enhance their gameplay experience. From speed boosts and invincibility shields to temporary teleportation and time manipulation, these abilities provide strategic advantages and opportunities for high-scoring combos.

In addition to its addictive gameplay, Tomb of the Mask boasts stunning pixel art visuals that pay homage to classic arcade games of the past. The vibrant colors, fluid animations, and retro-inspired character designs create a nostalgic atmosphere that will resonate with players of all ages.

To complement its immersive gameplay and captivating visuals, Tomb of the Mask features an adrenaline-pumping soundtrack that enhances the sense of urgency and excitement. From pulse-pounding techno beats to haunting melodies, the music sets the tone for each exhilarating escapade into the depths of the tomb.

With its seamless blend of arcade action, procedural generation, and retro charm, Tomb of the Mask offers a gaming experience that is both timeless and exhilarating. Whether you're a seasoned gamer looking for a new challenge or a casual player seeking thrills on the go, this mobile masterpiece is sure to keep you hooked for hours on end.

## Resources

* Official page of the game: <https://play.google.com/store/apps/details?id=com.playgendary.tom>
* Cover image credits: <https://commons.wikimedia.org/wiki/File:Tomb_of_the_Mask_logo.png>

